net.dontdrinkandroot.wicketexample.web

## Class WicketTestWebSession

- java.lang.Object
- - org.apache.wicket.Session
  - - org.apache.wicket.protocol.http.WebSession
    - - org.apache.wicket.authroles.authentication.AbstractAuthenticatedWebSession
      - - org.apache.wicket.authroles.authentication.AuthenticatedWebSession
        - - net.dontdrinkandroot.wicketexample.web.WicketTestWebSession

All Implemented Interfaces:
  Serializable, org.apache.wicket.event.IEventSink, org.apache.wicket.util.io.IClusterable

    public class WicketTestWebSession
    extends org.apache.wicket.authroles.authentication.AuthenticatedWebSession

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wicket.Session

`clientInfo, SESSION_ATTRIBUTE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`WicketTestWebSession(org.apache.wicket.request.Request request)`

### Method Summary

Methods
`boolean` `authenticate(String username, String password)`
`static WicketTestWebSession` `get()`
`org.apache.wicket.authroles.authorization.strategies.role.Roles` `getRoles()`
`void` `signOut()`

### Methods inherited from class org.apache.wicket.authroles.authentication.AuthenticatedWebSession

`invalidate, isSignedIn, signIn, signIn`

### Methods inherited from class org.apache.wicket.protocol.http.WebSession

`getClientInfo, newBrowserInfoPage`

### Methods inherited from class org.apache.wicket.Session

`bind, cleanupFeedbackMessages, clear, debug, detach, dirty, error, exists, fatal, getApplication, getAttribute, getAttributeNames, getAuthorizationStrategy, getClassResolver, getFeedbackMessages, getId, getLocale, getMetaData, getPageFactory, getPageManager, getSessionStore, getSizeInBytes, getStyle, info, internalDetach, invalidateNow, isCurrentRequestValid, isSessionInvalidated, isTemporary, nextPageId, nextSequenceValue, onEvent, removeAttribute, replaceSession, setAttribute, setClientInfo, setLocale, setMetaData, setStyle, success, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WicketTestWebSession

    public WicketTestWebSession(org.apache.wicket.request.Request request)

### Method Detail

#### get

    public static WicketTestWebSession get()

#### getRoles

    public org.apache.wicket.authroles.authorization.strategies.role.Roles getRoles()

Specified by:
  `getRoles` in class `org.apache.wicket.authroles.authentication.AbstractAuthenticatedWebSession`

#### signOut

    public void signOut()

Overrides:
  `signOut` in class `org.apache.wicket.authroles.authentication.AuthenticatedWebSession`

#### authenticate

    public boolean authenticate(String username,
                       String password)

Specified by:
  `authenticate` in class `org.apache.wicket.authroles.authentication.AuthenticatedWebSession`